Subscription Notification

Notification from Praxis where merchant would receive subscription notifications when provided a notification_url while creating new a new subscription using the /api/v1.3/subscription endpoint (or via the Atlas Back Office).

Body Params
string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

string
enum

Defines the type of event being reported. Changes the schema of 'event_data'.

string
length ≤ 50

Unique customer id in your system.

Note: Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.

string
length ≤ 32

Subscription Plan ID

string
length ≤ 32

Subscription ID

string
length ≤ 8

Status of subscription. List of possible statuses:

  • Active - customer subscription in active status.
  • Inactive - customer subscription inactive.
  • Expired - customer subscription expired.
  • Canceled - customer subscription removed.
event_data

Data payload specific to the 'event' type.

Headers
string
required

Authentication HTTP header of an incoming webhook subscription request from Praxis. Verify the signature with the below attributes from the webhook customer sync request.

  • event
  • merchant_id
  • application_key
  • cid
  • plan_id
  • subscription_id
  • subscription_status
  • timestamp
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json